Subject: Re: git & patterns

From: Ferry Huberts <[email-masked]>
Date: Thu, 19 May 2011 08:54:50 +0200

On 05/19/2011 08:47 AM, Junio C Hamano wrote:
> Ferry Huberts <[email-masked]> writes:
> 
>> - usually patterns are just patterns, without specifying what kind
> 
>> - when a pattern type is specified it most of the time is a glob pattern
>> - but sometimes it is called a shell pattern
>> - and  a few cases speak of a wildcard pattern (I think)
> 
> All these three are the same thing. I do not personally feel any strong
> need to change a lot of documentation to use only one of the terms, if
> that is what you are getting at.
> 
> What I was wondering was perhaps we may need to document the general
> principle of using globs when matching names that are hierarchically
> grouped with slash-delimited components.
> 
> The branch and tag namespaces are examples of such hiearchically grouped
> namespaces, and it is not a mere implementation detail as you seem to
> think. For jk/blame-line-porcelain and jk/diffstat-binary are both branch
> names, grouped by name initials of the author, and the globbing jk/* is a
> way to get to the group. With that grouping present, you cannot have a
> branch called "jk".

I would just argue that you layered a grouping abstraction (jk/*) on top
of something (branch and tag names) that is _conceptually_ _not_ like a path

I understand your reluctance but try to take a step back: _conceptually_
branches and tags are not paths

I don't want to push my case though :-)

-- 
Ferry Huberts